From 0d1a84f59d8cdd62c97410f96f8a13c98c51453a Mon Sep 17 00:00:00 2001
From: marlonivo <email@marlonivo.xyz>
Date: Mon, 14 Apr 2025 09:16:38 +0000
Subject: initial

---
 .local/bin/statusbar/sb-disk | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)
 create mode 100755 .local/bin/statusbar/sb-disk

(limited to '.local/bin/statusbar/sb-disk')

diff --git a/.local/bin/statusbar/sb-disk b/.local/bin/statusbar/sb-disk
new file mode 100755
index 0000000..7f3ff79
--- /dev/null
+++ b/.local/bin/statusbar/sb-disk
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# Status bar module for disk space
+# $1 should be drive mountpoint, otherwise assumed /.
+
+location=${1:-/}
+
+[ -d "$location" ] || exit
+
+case $BLOCK_BUTTON in
+	1) notify-send "💽 Disk space" "$(df -h --output=target,used,size)" ;;
+	3) notify-send "💽 Disk module" "\- Shows used hard drive space.
+- Click to show all disk info." ;;
+	6) setsid -f "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+case "$location" in
+	"/home"* ) icon="🏠" ;;
+	"/mnt"* ) icon="💾" ;;
+	*) icon="🖥";;
+esac
+
+printf "%s: %s\n" "$icon" "$(df -h "$location" | awk ' /[0-9]/ {print $3 "/" $2}')"
-- 
cgit v1.2.3